package com.hzya.frame.plugin.a8bill.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.mdm.mdmModuleSource.entity.MdmModuleSourceEntity;
import com.hzya.frame.plugin.a8bill.entity.PayBillEntity;

import java.util.HashMap;
import java.util.List;

/**
 * 组织档案(mdm_org: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-07 18:30:04
 */
public interface IPayBillPluginInitializerDao extends IBaseDao<PayBillEntity, String> {
    /**
     *
     * @content 通用获取OA数据接口
     * @author laborer
     * @date 2024/7/10 0010 16:06
     *
     */

    List<HashMap<String, Object>> getOaBillData(String str , PayBillEntity entity)throws Exception;
    /**
     *
     * @content 通过ID修改单据状态
     * @author laborer
     * @date 2024/7/10 0010 17:32
     *
     */

    int updateStateForId(String str , PayBillEntity entity)throws Exception;
}

