package com.hzya.frame.kjsData.attendance.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.kjsData.attendance.entity.AttendanceEntity;
import com.hzya.frame.kjsData.attendance.dao.IAttendanceDao;
import com.hzya.frame.wms_21.basemdm.entity.CustomerEntity;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * (Attendance)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-19 13:26:00
 */
@Repository("AttendanceDaoImpl")
public class AttendanceDaoImpl extends MybatisGenericDao<AttendanceEntity, String> implements IAttendanceDao{
    @DS("KJS_DATA")
    @Override
    public Integer createLists(List<AttendanceEntity> entities) {
        return super.insert("com.hzya.frame.kjsData.attendance.dao.impl.AttendanceEntityDaoImpl.AttendanceEntityInsertBatch",entities);
    }
}

