package com.hzya.frame.kjsData.attendance.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.hzya.frame.kjsData.attendance.entity.AttendanceEntity;
import com.hzya.frame.kjsData.attendance.dao.IAttendanceDao;
import com.hzya.frame.kjsData.attendance.service.IAttendanceService;
import com.hzya.frame.web.entity.JsonResultEntity;
import com.hzya.frame.wms_21.basemdm.service.impl.BaseMdmServiceImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;

import java.util.ArrayList;
import java.util.List;

/**
 * (Attendance)表服务实现类
 *
 * @author makejava
 * @since 2024-09-19 13:26:00
 */
@Service("attendanceService")
public class AttendanceServiceImpl implements IAttendanceService {
	private static final Logger logger = LoggerFactory.getLogger(AttendanceServiceImpl.class);

	@Autowired
    private IAttendanceDao attendanceDao;

	@Override
	public JsonResultEntity createRecord(JSONObject requestData){
		List<AttendanceEntity> list = new ArrayList<>();
		JSONArray jsonArray = requestData.getJSONArray("jsonStr");
		for (int i = 0; i < jsonArray.size(); i++) {
			JSONObject jsonObject = jsonArray.getJSONObject(i);
			AttendanceEntity entity = JSONObject.parseObject(jsonObject.toString(), new TypeReference<AttendanceEntity>() {});
			list.add(entity);
		}
		attendanceDao.createLists(list);
		return new JsonResultEntity("插入成功："+ JSON.toJSONString(list),true);
	}

}
