package com.hzya.frame.sysnew.grovy.service.impl;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.sysnew.grovy.service.IGroovyIntegrationService;
import com.hzya.frame.util.GroovyUtil;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Groovy 脚本执行实现类
 *
 * @author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @version 1.0
 * @content
 * @date 2024-05-15 13:50
 */
@Service(value = "groovyIntegrationService")
public class GroovyIntegrationServiceImpl implements IGroovyIntegrationService {
    private static final Logger logger = LoggerFactory.getLogger(GroovyIntegrationServiceImpl.class);


    @Override
    public Object groovyScriptExecution(JSONObject jsonObject) {
        Object object = GroovyUtil.execute(jsonObject);
        return object;
    }

    public static void main(String[] args) {
        java.lang.String str = "{\"data\":{\"document_rule\":\"DDUSER-2024-09-04-00007\",\"create_user_id\":\"c796fd9ba4c9f5ff3cc2fa41a040e443\",\"unionid\":\"2fkFIWM9iSJAcLxiimUZdUWwiEiE\",\"create_time\":1725413884000,\"modify_time\":1725413884000,\"title\":\"高级软件工程师\",\"hired_date\":1677600000000,\"userid\":\"023822475524346736\",\"document_rule_num\":7,\"add_status\":\"0\",\"update_status\":\"1\",\"event_type\":\"user_modify_org\",\"sts\":\"Y\",\"data_id\":\"023822475524346736\",\"delete_status\":\"1\",\"org_id\":\"0\",\"mdm_dd_user_position\":[{\"create_user_id\":\"c796fd9ba4c9f5ff3cc2fa41a040e443\",\"formmain_id\":\"8740260843790486508\",\"create_time\":1725413884000,\"modify_time\":1725413884000,\"title\":\"高级软件工程师\",\"sts\":\"Y\",\"data_id\":\"5a79ab0bd206414aab97087915e6488a\",\"org_id\":\"0\",\"id\":\"-5911347781273497855\",\"data_status\":\"Y\",\"modify_user_id\":\"c796fd9ba4c9f5ff3cc2fa41a040e443\",\"dept_id\":\"66631023\",\"sorts\":7}],\"name\":\"徐新璐\",\"dept_id_list\":\"[66631023]\",\"id\":\"8740260843790486508\",\"job_number\":\"2176\",\"data_status\":\"Y\",\"modify_user_id\":\"c796fd9ba4c9f5ff3cc2fa41a040e443\",\"sorts\":446},\"query\":\"[]\",\"header\":\"[]\",\"body\":\"[{\\\"id\\\":\\\"e5faa5a5-8de4-45d4-bfa9-de80497cb222\\\",\\\"parameterName\\\":\\\"body\\\",\\\"first\\\":true}]\"}";
        A88772 s = new A88772();
        System.out.println(s.execute(str));
    }

    static class A88772 {
        String execute(String jsonStr) {
            com.alibaba.fastjson.JSONObject returnObject = new com.alibaba.fastjson.JSONObject();
            com.alibaba.fastjson.JSONObject bodys = new com.alibaba.fastjson.JSONObject();
            com.alibaba.fastjson.JSONObject reqData = com.alibaba.fastjson.JSON.parseObject(jsonStr);
            com.alibaba.fastjson.JSONObject data = reqData.getJSONObject("data");
            com.alibaba.fastjson.JSONObject mdmUser = new com.alibaba.fastjson.JSONObject();
            mdmUser.put("userid",data.getString("userid"));
            mdmUser.put("name",data.getString("name"));
            mdmUser.put("mobile",data.getString("mobile"));
            mdmUser.put("job_number",data.getString("job_number"));
            mdmUser.put("title",data.getString("title"));
            mdmUser.put("dept_id_list",data.getString("dept_id_list"));
            mdmUser.put("dataStatus",data.getString("event_type"));
            com.alibaba.fastjson.JSONArray array = data.getJSONArray("mdm_dd_user_position");
            com.alibaba.fastjson.JSONArray postArray = new com.alibaba.fastjson.JSONArray();
            if (null != array && array.size() > 0){
                for (int i=0; i<array.size();i++) {
                    com.alibaba.fastjson.JSONObject jsonObject = array.getJSONObject(i);
                    com.alibaba.fastjson.JSONObject post = new com.alibaba.fastjson.JSONObject();
                    post.put("dept_id",jsonObject.getString("dept_id"));
                    post.put("title",jsonObject.getString("title"));
                    postArray.add(post);
                }
            }
            mdmUser.put("items",postArray);
            bodys.put("mdm_dd_user",mdmUser);
            returnObject.put("bodys",bodys.toJSONString());
            return returnObject.toJSONString();





        }
    }


}
