package com.hzya.frame.u8.production.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description u8生产订单表体 mom_orderdetail
 * @Author xiangerlin
 * @Date 2024/8/23 08:57
 **/
public class MomOrderDetailEntity extends BaseEntity {
    //主表id
    private String moId;
    //存货编码
    private String cinvcode;
    //存货名称
    private String cinvname;
    //规格型号
    private String cinvstd;
    //数量
    private String qty;
    //件数
    private String auxqty;
    //部门名称
    private String mdeptname;
    //部门编码
    private String mdeptcode;
    //行号
    private String sortSeq;
    //审核人
    private String relsUser;
    //审核时间
    private String relsTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;//定时任务执行时传入的开始时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endTime;//定时任务执行时传入的结束时间

    public String getMoId() {
        return moId;
    }

    public void setMoId(String moId) {
        this.moId = moId;
    }

    public String getCinvcode() {
        return cinvcode;
    }

    public void setCinvcode(String cinvcode) {
        this.cinvcode = cinvcode;
    }

    public String getCinvname() {
        return cinvname;
    }

    public void setCinvname(String cinvname) {
        this.cinvname = cinvname;
    }

    public String getCinvstd() {
        return cinvstd;
    }

    public void setCinvstd(String cinvstd) {
        this.cinvstd = cinvstd;
    }

    public String getQty() {
        return qty;
    }

    public void setQty(String qty) {
        this.qty = qty;
    }

    public String getAuxqty() {
        return auxqty;
    }

    public void setAuxqty(String auxqty) {
        this.auxqty = auxqty;
    }

    public String getMdeptname() {
        return mdeptname;
    }

    public void setMdeptname(String mdeptname) {
        this.mdeptname = mdeptname;
    }

    public String getMdeptcode() {
        return mdeptcode;
    }

    public void setMdeptcode(String mdeptcode) {
        this.mdeptcode = mdeptcode;
    }

    public String getRelsUser() {
        return relsUser;
    }

    public void setRelsUser(String relsUser) {
        this.relsUser = relsUser;
    }

    public String getRelsTime() {
        return relsTime;
    }

    public void setRelsTime(String relsTime) {
        this.relsTime = relsTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getSortSeq() {
        return sortSeq;
    }

    public void setSortSeq(String sortSeq) {
        this.sortSeq = sortSeq;
    }
}
