package com.hzya.frame.u8.saleinv.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.u8.saleinv.entity.SaleInvEntity;

import java.util.List;

/**
 *
 * @content 销售发票
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 9:27
 *
 */
public interface ISaleInvDao extends IBaseDao<SaleInvEntity,String> {
    /**
     *
     * @content 获取U8销售发票信息
     * @className: Administrator
     * @author laborer
     * @date 2024-10-18 14:22
     *
     */

    List<SaleInvEntity> getU8SaleInv(SaleInvEntity entity);
/**
 *
 * @content 修改推送状态
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 14:43
 *
 */

    int updateState(SaleInvEntity entity);
}
