package com.hzya.frame.u8.saleinv.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.u8.saleinv.dao.ISaleInvDetailDao;
import com.hzya.frame.u8.saleinv.entity.SaleInvDetailEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 销售发票
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 9:27
 *
 */
@Repository(value = "SaleInvDetailDaoImpl")
public class SaleInvDetailDaoImpl extends MybatisGenericDao<SaleInvDetailEntity,String> implements ISaleInvDetailDao {
    @DS("#entity.dataSourceCode")
    @Override
    public List<SaleInvDetailEntity> getU8InvDetail(SaleInvDetailEntity entity) {
        return (List<SaleInvDetailEntity>) super.selectList("com.hzya.frame.u8.saleinv.dao.impl.SaleInvDetailDaoImpl.entity_list_base",entity);
    }
}
