package com.hzya.frame.u8.saleout.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.u8.saleout.entity.SaleOutDetailEntity;

import java.util.List;

/**
 * @Description u8发货单明细行
 * @Author xiangerlin
 * @Date 2024/8/22 16:22
 **/
public interface ISaleOutDetailDao extends IBaseDao<SaleOutDetailEntity,String> {
    /**
     *
     * @content 获取u8发货单明细行
     * @return
     * @className: Administrator
     * @author laborer
     * @date 2024-10-18 11:04
     *
     */

    List<SaleOutDetailEntity> getU8SaleOutLine(SaleOutDetailEntity entity);
}
