package com.hzya.frame.u8.saleout.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.u8.saleout.dao.ISaleOutDao;
import com.hzya.frame.u8.saleout.entity.SaleOutEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description u8发货单
 * @Author xiangerlin
 * @Date 2024/8/22 15:09
 **/
@Repository(value = "SaleOutDaoImpl")
public class SaleOutDaoImpl extends MybatisGenericDao<SaleOutEntity,String> implements ISaleOutDao {
    @DS("#entity.dataSourceCode")
    @Override
    public List<SaleOutEntity> getU8SaleOut(SaleOutEntity entity) {
        return (List<SaleOutEntity>) super.selectList("com.hzya.frame.u8.saleout.dao.impl.SaleOutDaoImpl.entity_list_base",entity);
    }
    @DS("#entity.dataSourceCode")
    @Override
    public int updateState(SaleOutEntity entity) {
        return super.update("com.hzya.frame.u8.saleout.dao.impl.SaleOutDaoImpl.entity_list_base",entity);
    }
}
