package com.hzya.frame.u8c.sosale.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.u8c.sosale.dao.ISoSaleDao;
import com.hzya.frame.u8c.sosale.entity.SoSaleEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository(value = "SoSaleDaoImpl")
public class SoSaleDaoImpl extends MybatisGenericDao<SoSaleEntity, String> implements ISoSaleDao {
/**
 *
 * @content 获取UC8C销售订单表头数据
 * @className: Administrator
 * @author laborer
 * @date 2024-10-16 15:30
 *
 */
@DS("#entity.dataSourceCode")
    @Override
    public List<SoSaleEntity> getU8cSale(SoSaleEntity entity) {
        return (List<SoSaleEntity>) super.selectList("com.hzya.frame.u8c.sosale.dao.impl.SoSaleDaoImpl.querySaleMain",entity);
    }
    @DS("#entity.dataSourceCode")
    @Override
    public int updateState(SoSaleEntity entity) {
        return super.update("com.hzya.frame.u8c.sosale.dao.impl.SoSaleDaoImpl.updateState",entity);
    }
}

