package com.hzya.frame.wms_21.basemdm.dao.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.wms_21.basemdm.dao.IBaseMdmCustomerDao;
import com.hzya.frame.wms_21.basemdm.dao.IBaseMdmProductDao;
import com.hzya.frame.wms_21.basemdm.entity.CustomerEntity;
import com.hzya.frame.wms_21.basemdm.entity.ProductEntity;
import org.springframework.stereotype.Repository;

@Repository(value = "BaseMdmCustomerDaoImpl")
public class BaseMdmCustomerDaoImpl extends MybatisGenericDao<CustomerEntity,String> implements IBaseMdmCustomerDao {

    @DS("#customer.dataSourceCode")
    @Override
    public int insertCustomer(CustomerEntity customer) {
        return super.insert("com.hzya.frame.wms_21.basemdm.entity.CustomerEntity.CustomerEntity_insert",customer);
    }
}
