package com.hzya.frame.u8.delivery.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description U8发货单
 * @Author xiangerlin
 * @Date 2024/8/22 15:04
 **/
public class DeliveryOrderEntity extends BaseEntity {

    //主键
    private String dlid;
    //发货单号
    private String cdlcode;
    //客户编码
    private String ccuscode;
    //客户名称
    private String ccusname;
    //销售订单号
    private String csocode;
    //发货日期
    private String ddate;
    //制单人
    private String cmaker;
    //制单时间
    private String dcreatesystime;
    //币种
    private String cexch_name;
    //汇率
    private String iexchrate;
    //税率
    private String itaxrate;
    //备注
    private String cmemo;
    //审核人
    private String cVerifier;
    //退货标记。 0发货 1退货
    private String bReturnFlag;
    //修改时间
    private String dmodifysystime;
    //推送状态字段
    private String pushFlagField;
    //帐套名
    private String dbname;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;//定时任务执行时传入的开始时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endTime;//定时任务执行时传入的结束时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //最后操作时间， isnull(dmodifysystime,dcreatesystime)
    private String lasttime;
    public String getDlid() {
        return dlid;
    }

    public void setDlid(String dlid) {
        this.dlid = dlid;
    }

    public String getCdlcode() {
        return cdlcode;
    }

    public void setCdlcode(String cdlcode) {
        this.cdlcode = cdlcode;
    }

    public String getCcuscode() {
        return ccuscode;
    }

    public void setCcuscode(String ccuscode) {
        this.ccuscode = ccuscode;
    }

    public String getCcusname() {
        return ccusname;
    }

    public void setCcusname(String ccusname) {
        this.ccusname = ccusname;
    }

    public String getCsocode() {
        return csocode;
    }

    public void setCsocode(String csocode) {
        this.csocode = csocode;
    }

    public String getDdate() {
        return ddate;
    }

    public void setDdate(String ddate) {
        this.ddate = ddate;
    }

    public String getCmaker() {
        return cmaker;
    }

    public void setCmaker(String cmaker) {
        this.cmaker = cmaker;
    }

    public String getDcreatesystime() {
        return dcreatesystime;
    }

    public void setDcreatesystime(String dcreatesystime) {
        this.dcreatesystime = dcreatesystime;
    }

    public String getCexch_name() {
        return cexch_name;
    }

    public void setCexch_name(String cexch_name) {
        this.cexch_name = cexch_name;
    }

    public String getIexchrate() {
        return iexchrate;
    }

    public void setIexchrate(String iexchrate) {
        this.iexchrate = iexchrate;
    }

    public String getItaxrate() {
        return itaxrate;
    }

    public void setItaxrate(String itaxrate) {
        this.itaxrate = itaxrate;
    }

    public String getCmemo() {
        return cmemo;
    }

    public void setCmemo(String cmemo) {
        this.cmemo = cmemo;
    }

    public String getbReturnFlag() {
        return bReturnFlag;
    }

    public void setbReturnFlag(String bReturnFlag) {
        this.bReturnFlag = bReturnFlag;
    }
    public String getDmodifysystime() {
        return dmodifysystime;
    }

    public void setDmodifysystime(String dmodifysystime) {
        this.dmodifysystime = dmodifysystime;
    }

    public String getPushFlagField() {
        return pushFlagField;
    }

    public void setPushFlagField(String pushFlagField) {
        this.pushFlagField = pushFlagField;
    }

    public String getDbname() {
        return dbname;
    }

    public void setDbname(String dbname) {
        this.dbname = dbname;
    }

    public String getcVerifier() {
        return cVerifier;
    }

    public void setcVerifier(String cVerifier) {
        this.cVerifier = cVerifier;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }
    public String getLasttime() {
        return lasttime;
    }

    public void setLasttime(String lasttime) {
        this.lasttime = lasttime;
    }
}
