package com.hzya.frame.u8.production.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.u8.production.dao.IMomOrderDao;
import com.hzya.frame.u8.production.entity.MomOrderEntity;
import com.hzya.frame.u8.production.service.IMomOrderService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description u8生产订单表头
 * @Author xiangerlin
 * @Date 2024/8/23 08:56
 **/
@Service
public class MomOrderServiceImpl extends BaseService<MomOrderEntity,String> implements IMomOrderService {
    Logger logger = LogManager.getLogger(getClass());
    private IMomOrderDao momOrderDao;
    @Autowired
    public void setMomOrderDao(IMomOrderDao dao) {
        this.momOrderDao = dao;
        this.dao = dao;
    }

    /**
     * 保存自定义项
     *
     * @param entity
     * @return
     */
    @DS("#entity.dataSourceCode")
    @Override
    public void saveExtradefine(MomOrderEntity entity) {
        momOrderDao.save("com.hzya.frame.u8.production.dao.impl.MomOrderDaoImpl.mom_order_extradefine_insert",entity);
    }
}
