package com.hzya.frame.u8.receipt.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.u8.receipt.entity.ReceiptEntity;

import java.util.List;

/**
 *
 * @content 销售收款单
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 9:27
 *
 */
public interface IReceiptDao extends IBaseDao<ReceiptEntity,String> {
    /**
     *
     * @content 获取U8销售收款单
     * @className: Administrator
     * @author laborer
     * @date 2024-10-18 13:53
     *
     */

    List<ReceiptEntity> getU8Receipt(ReceiptEntity entity);
/**
 *
 * @content 修改推送状态
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 14:07
 *
 */

    int updateState(ReceiptEntity sale);
}
