package com.hzya.frame.u8.receipt.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.u8.receipt.dao.IReceiptDao;
import com.hzya.frame.u8.receipt.entity.ReceiptEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 销售收款单
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 9:27
 *
 */
@Repository(value = "ReceiptDaoImpl")
public class ReceiptDaoImpl extends MybatisGenericDao<ReceiptEntity,String> implements IReceiptDao {
    @DS("#entity.dataSourceCode")
    @Override
    public List<ReceiptEntity> getU8Receipt(ReceiptEntity entity) {
        return (List<ReceiptEntity>) super.selectList("com.hzya.frame.u8.receipt.dao.impl.ReceiptDaoImpl.entity_list_base",entity);
    }
    @DS("#entity.dataSourceCode")
    @Override
    public int updateState(ReceiptEntity entity) {
        return super.update("com.hzya.frame.u8.receipt.dao.impl.ReceiptDaoImpl.entity_update",entity);
    }
}
