package com.hzya.frame.u8.saleout.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.u8.saleout.entity.SaleOutEntity;

import java.util.List;

/**
 * @Description U8发货单
 * @Author xiangerlin
 * @Date 2024/8/22 15:07
 **/
public interface ISaleOutDao extends IBaseDao<SaleOutEntity,String> {
    /**
     * @content 获取U8销售出库单数据
     * @className: Administrator
     * @author laborer
     * @date 2024-10-18 10:49
     */

    List<SaleOutEntity> getU8SaleOut(SaleOutEntity entity);
/**
 *
 * @content 推送修改状态
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 11:23
 *
 */

    int updateState(SaleOutEntity sale);
}
